View Issue Details

IDProjectCategoryView StatusLast Update
0001515FreeCADBugpublic2014-06-18 07:57
Reporterravn Assigned Towmayer  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformWindowsOSWindowsOS Version7
Product Versiontrunk 
Target VersionFixed in Version0.14 
Summary0001515: Installing 0.14 breaks previous python installation
DescriptionI just installed FreeCad 0.14 from the repo build and found by previous python 2.7 installation. I get now when trying to run a python script from the CMD:

C:\Users\ravn\sync\Projects\WLAN White paper\Channel transfer functions>python t
ap_model.py
Traceback (most recent call last):
  File "C:\Program Files (x86)\FreeCAD 0.14\bin\site.py", line 513, in <module>
    main()
  File "C:\Program Files (x86)\FreeCAD 0.14\bin\site.py", line 496, in main
    known_paths = addsitepackages(known_paths)
  File "C:\Program Files (x86)\FreeCAD 0.14\bin\site.py", line 288, in addsitepa
ckages
    addsitedir(sitedir, known_paths)
  File "C:\Program Files (x86)\FreeCAD 0.14\bin\site.py", line 185, in addsitedi
r
    addpackage(sitedir, name, known_paths)
  File "C:\Program Files (x86)\FreeCAD 0.14\bin\site.py", line 155, in addpackag
e
    exec line
  File "<string>", line 1, in <module>
  File "C:\Python27\lib\site-packages\gtk-2.0\runtime\__init__.py", line 7, in <
module>
    from ctypes import windll
  File "C:\Python27\lib\ctypes\__init__.py", line 10, in <module>
    from _ctypes import Union, Structure, Array
ImportError: Module use of python26.dll conflicts with this version of Python.

C:\Users\ravn\sync\Projects\WLAN White paper\Channel transfer functions>
TagsNo tags attached.
FreeCAD Information

Relationships

has duplicate 0001585 closedwmayer Python path messed up after installation 

Activities

wmayer

2014-05-03 14:39

administrator   ~0004606

A new installer needs to be created. As a workaround you can delete this key in the registry:
HKLM\Software\Python\PythonCore\2.7\PythonPath\FreeCAD 0.14

Related Changesets

FreeCAD: master 31ec4c8f

2014-04-08 17:03:31

wmayer

Details Diff
+ disable to set PYTHONPATH by default Affected Issues
0001515
mod - src/WindowsInstaller/FreeCAD_WindowsInstaller.nsi Diff File
mod - src/WindowsInstaller/FreeCAD_x64_WindowsInstaller.nsi Diff File

Issue History

Date Modified Username Field Change
2014-04-25 19:36 ravn New Issue
2014-05-03 14:26 wmayer Changeset attached => FreeCAD Master master 31ec4c8f
2014-05-03 14:39 wmayer Note Added: 0004606
2014-05-03 14:40 wmayer Status new => resolved
2014-05-03 14:40 wmayer Fixed in Version => 0.14
2014-05-03 14:40 wmayer Resolution open => fixed
2014-05-03 14:40 wmayer Assigned To => wmayer
2014-05-12 15:15 yorik Status resolved => closed
2014-06-18 07:57 wmayer Relationship added has duplicate 0001585